# List the private coach notes on a coaching period, pinned notes…

`GET https://api.coach-platform.com/api/public/escorts/{escortId}/notes`

List the private coach notes on a coaching period, pinned notes first and then newest first. Notes are never shown to the trainee.

- Resource: Escorts
- Authentication: API key in the `Authorization: Bearer cp_live_...` header
- HTML version: https://www.coach-platform.com/docs/api/reference/get-escorts-escort-id-notes
- OpenAPI spec: https://www.coach-platform.com/openapi.json

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `escortId` | string | Yes |   |

## Responses

| Status | Description |
|---|---|
| `200` OK | Successful response |
| `400` Bad Request |  |
| `401` Unauthorized |  |
| `403` Forbidden |  |
| `429` Too Many Requests |  |
| `500` Internal Server Error |  |

### 200 OK

Content type: `application/json`

| Field | Type | Description |
|---|---|---|
| `data` | object[] |   |
| `data[].id` | string |   |
| `data[].title` | string \| null |   |
| `data[].content` | string |   |
| `data[].pinned` | boolean | true keeps the note at the top of the coaching period notes list. |
| `data[].createdAt` | string<date-time> \| null |   |
| `data[].updatedAt` | string<date-time> \| null |   |

Example:

```json
{
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "content": "<string>",
      "pinned": true,
      "createdAt": "<date-time>",
      "updatedAt": "<date-time>"
    }
  ]
}
```

### Error responses 400, 401, 403, 429, 500

Content type: `application/json`

| Field | Type | Description |
|---|---|---|
| `error` | object |   |
| `error.code` | string |   |
| `error.message` | string |   |
| `error.fix` | string \| null |   |
| `error.details` | object \| null |   |
| `error.retryAfterMs` | number \| null |   |

Example:

```json
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "fix": "<string>",
    "details": {},
    "retryAfterMs": 123
  }
}
```

## Examples

### cURL

```bash
curl --request GET \
  --url 'https://api.coach-platform.com/api/public/escorts/<escortId>/notes' \
  --header 'Authorization: Bearer cp_live_...'
```

### JavaScript (fetch)

```js
const response = await fetch('https://api.coach-platform.com/api/public/escorts/<escortId>/notes', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer cp_live_...',
  },
});

const data = await response.json();
```

## Related endpoints

- [Get a coaching period](https://www.coach-platform.com/docs/api/reference/get-escorts-escort-id/index.md): `GET /api/public/escorts/{escortId}`. Get a coaching period by id.
- [Update a coaching period](https://www.coach-platform.com/docs/api/reference/patch-escorts-escort-id/index.md): `PATCH /api/public/escorts/{escortId}`. Update a coaching period.
- [Cancel a coaching period](https://www.coach-platform.com/docs/api/reference/delete-escorts-escort-id/index.md): `DELETE /api/public/escorts/{escortId}`. Cancel a coaching period.
- [Start a coaching period](https://www.coach-platform.com/docs/api/reference/post-escorts/index.md): `POST /api/public/escorts`. Start a new coaching period (escort) for a trainee.
- [Add a private coach note to a coaching period, with an optional…](https://www.coach-platform.com/docs/api/reference/post-escorts-escort-id-notes/index.md): `POST /api/public/escorts/{escortId}/notes`. Add a private coach note to a coaching period, with an optional title and pin.
- [Add the same private coach note to up to 500 coaching periods at once](https://www.coach-platform.com/docs/api/reference/post-escorts-notes-bulk/index.md): `POST /api/public/escorts/notes/bulk`. Add the same private coach note to up to 500 coaching periods at once.
- [Edit a coach note on a coaching period](https://www.coach-platform.com/docs/api/reference/patch-escorts-escort-id-notes-note-id/index.md): `PATCH /api/public/escorts/{escortId}/notes/{noteId}`. Edit a coach note on a coaching period.
- [Delete a coach note from a coaching period](https://www.coach-platform.com/docs/api/reference/delete-escorts-escort-id-notes-note-id/index.md): `DELETE /api/public/escorts/{escortId}/notes/{noteId}`. Delete a coach note from a coaching period.
- Previous: [Start a coaching period](https://www.coach-platform.com/docs/api/reference/post-escorts/index.md): `POST /api/public/escorts`. Start a new coaching period (escort) for a trainee.
- Next: [Add a private coach note to a coaching period, with an optional…](https://www.coach-platform.com/docs/api/reference/post-escorts-escort-id-notes/index.md): `POST /api/public/escorts/{escortId}/notes`. Add a private coach note to a coaching period, with an optional title and pin.
